A successful request to this endpoint returns all projects.
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
By default, this endpoint returns the first page of results (page 0).
Request
This request uses the GET method, which is used to retrieve all projects under a specific team organization from the specified resource.
For basic authorization, replace this with your actual username and password (or API key) in the header request in the username:password or username:api_key format. Your user creds are combined to form a Base64 encoded string.
The request data is provided as a JSON object. You need to provide the following required query parameters:
id: the alphanumeric ID of the team organization. You can find this from Home > Organization (or if you have Administrator access, at https://admin.katalon.com/).
Response
This API response provides a collection of test project objects for a specified team organization.
Here's an example of a test project object:
{
"id": 934901,
"name": "First Project",
"teamId": xxx,
"team": {
"id": xxx,
"name": "Katalon team",
"organization": {
"id": 975092,
"name": "API Testing",
...
},
"organizationId": xxx
},
"status": "ACTIVE"
}Refer to the following table about the response body properties:
| Property | Type | Description |
|---|---|---|
id | Integer | The unique identifier of the project. |
name | String | The name of the project. |
teamId | Integer | The ID of the parent team. |
team | Object | The object that describes the team. |
status | String | The current status of the project: ARCHIVE or ACTIVE. |
Try it!
- Enter the Team ID below.
- Select the language in Language.
- Enter your user name or API credentials.
- Review your API call and click Try it!